"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Quit = void 0;
const element_shadow_1 = require("../../../components/element-shadow");
const sub_1 = require("./sub");
class Quit extends element_shadow_1.ElementShadow {
    init(props) {
        props && Object.assign(this, props);
    }
    async exec() {
        const pub = this.getParentByClassName(sub_1.Sub);
        if (!pub)
            throw new Error(`"http/jobs'stop" only be used in "http/jobs"`);
        await pub.exit();
    }
}
exports.Quit = Quit;
//# sourceMappingURL=quit.js.map