import { ElementProps } from "../../components/element.props";
import { ElementShadow } from "../element-shadow";
export type TestProps = string | ({
    check?: string;
    script?: string;
} & ElementProps);
export declare class Test extends ElementShadow {
    $$ignoreEvalProps: string[];
    testTitle?: string;
    check?: string;
    script?: string;
    private defaultTestTitle?;
    init(props: TestProps): Promise<void>;
    failed(description?: string): never;
    exec(): Promise<boolean>;
}
