import { Ora } from 'ora';
import { Logger, LoggerLevel } from './logger';
export declare class ProgressBar {
    private logger;
    private color;
    static readonly Color: {
        Black: string;
        Red: string;
        Green: string;
        Yellow: string;
        Blue: string;
        Magenta: string;
        Cyan: string;
        White: string;
        Gray: string;
    };
    private spinner?;
    constructor(logger: Logger, color?: string);
    init(txt?: string): Promise<void>;
    start(txt?: string): Ora | undefined;
    update(txt: string, level?: LoggerLevel): void;
    stop(): Ora | undefined;
    passed(txt: string): Ora | undefined;
    failed(txt: string): Ora | undefined;
}
