import { ElementShadow } from "../element-shadow";
import { HeadProps } from './head.props';
import { Response } from './types';
export declare class Head<T extends HeadProps> extends ElementShadow {
    $$ignoreEvalProps: string[];
    method: string;
    baseURL?: string;
    timeout?: number;
    url: string;
    headers: any;
    query?: any;
    response?: Response;
    executionTime?: number;
    private abortController?;
    protected get fullURL(): string;
    protected get fullURLQuery(): string;
    init(props: T): Promise<void>;
    abort(): void;
    exec(): Promise<any>;
    send(fetchOpts?: any): Promise<Response>;
    protected applyVar(): void;
    protected checkEmpty(vl: any): any;
    protected setHeader(key: string, value: any): void;
    protected getResponseHeader(rs: Response): {
        [key: string]: any;
    } | undefined;
    protected prehandleResponseHeaders(): void;
    protected prehandleResponseData(): void;
    protected prehandleHeaders(): void;
    protected prehandleQuery(): void;
}
