"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Vars = void 0;
const vars_1 = require("../../libs/vars");
const element_shadow_1 = require("../element-shadow");
class Vars extends element_shadow_1.ElementShadow {
    $$ignoreEvalProps = ['props'];
    props;
    async init(props) {
        this.props = props;
    }
    async exec() {
        this.props = await this.scene.getVars(this.props, this);
        this.logger.trace(`[%s] \t%j`, this.tag, this.props);
        if (!this.props || Array.isArray(this.props) || typeof this.props !== 'object')
            return;
        const v = new vars_1.Vars(this.scene.sceneVars, this.rootScene.globalVars);
        v.set(this.props);
        return this.props;
    }
}
exports.Vars = Vars;
//# sourceMappingURL=vars.js.map