"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ViewYaml = void 0;
const yaml_1 = require("yaml");
const view_1 = require("./view");
class ViewYaml extends view_1.View {
    init(props) {
        return super.init(props);
    }
    print() {
        this.logger.addIndent();
        try {
            this.logger.log((0, yaml_1.stringify)(this.data, { indent: 2 }));
        }
        finally {
            this.logger.addIndent(-1);
        }
    }
}
exports.ViewYaml = ViewYaml;
//# sourceMappingURL=view-yaml.js.map