"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const root_scene_1 = require("./components/root-scene");
const modules_manager_1 = require("./managers/modules-manager");
const app_1 = require("./app");
const logger_1 = require("./libs/logger");
(0, modules_manager_1.registerModulePlatform)();
fetch('').catch(() => { }).finally(async () => {
    console.clear();
    const appLogger = new logger_1.Logger(logger_1.LoggerLevel.ALL);
    const rootScene = new root_scene_1.RootScene(appLogger.clone('root-scene'));
    const app = new app_1.App(appLogger, rootScene);
    await app.exec();
});
//# sourceMappingURL=index.js.map